%define prefix /usr
%define name e-uae
%define version 0.8.29
%define wiprel	WIP4
%define release %mkrel 2
%define url http://sourceforge.net/projects/uaedev/

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Emulators
URL:		%{url}
Source:		%{name}-%{version}-%{wiprel}.tar.xz
Summary:	A software emulation of the Amiga system
Summary(de):	Software Emulator für das Amiga System
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	X11-devel
BuildRequires:  gtk+-devel
BuildRequires:  gtk+2-devel
BuildRequires:  glib-devel
BuildRequires:  SDL-devel
BuildRequires:  attr-devel	
Obsoletes:	%name < %version

%description
UAE is a software emulation of the Amiga system hardware, which
enables you to run most available Amiga software.  Since it is a
software emulation, no extra or special hardware is needed.  The Amiga
hardware is emulated accurately, so that Amiga software is tricked
into thinking it is running on the real thing.  Your computer's
display, keyboard, hard disk and mouse assume the roles of their
emulated counterparts.

Note that to fully emulate the Amiga you need the Amiga KickStart ROM
images, which are copyrighted and, of course, not included here.

[This is in an unofficial branch of UAE (the Ubiquitous Amiga Emulator)
with the aim of bringing the features of WinUAE to non-Windows platforms
such as Linux, Mac OS X and BeOS.]

#german
%description -l de
Wer früher einen Amiga gehabt hat, der wird diesen Emulator zu
schätzen wissen, alle anderen sollten ihn auch antesten, um den
kultigen Computer, für den es tausende an Spielen, Demos, etc.
gibt, anzutesten. E-UAE emuliert alle Amiga-Modelle ohne
Leistungseinbußen und bis ins kleinste Detail - sogar der Sound
des Diskettenlaufwerks ist zu hören.

[Dies ist ein inoffizieller Zweig der UAE (Ubiquitous Amiga Emulator)
mit dem Ziel, die Eigenschaften von WinUAE auf Nicht-Windows-Plattformen
wie z. B. Linux, Mac OS X und BeOS zu potieren.]

%prep

%setup -q -n %{name}-%{version}-%{wiprel}

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std 

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Amiga Emuator
Comment=Amiga Emilator
Exec=uae
Icon=emulators_section.png
Type=Application
Terminal=false
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;
EOF

%files
%defattr(-,root,root)
%{_bindir}/*
%doc docs/*
%{_datadir}/applications

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}-%{wiprel}

%changelog
* Sun Jul 18 2010 Texstar <texstar at gmail.com> 0.8.29-2pclos2010
- add menu entry
- convert source to tar.xz

* Sat Jul 17 2010 leiche <meisssw01 at aol.com> 0.8.29-1pclos2010
- import to pclos

